IPSW-DOWNLOAD-DEV(1)

NAME
ipsw-download-dev - Download IPSWs (and more) from the Apple Developer Portal

SYNOPSIS
ipsw download dev [flags]

DESCRIPTION
Download IPSWs (and more) from the Apple Developer Portal

OPTIONS
-b, --build=""
    iOS BuildID (i.e. 16F203)

-h, --help[=false]
    help for dev

--insecure[=false]
    do not verify ssl certs

--json[=false]
    Output downloadable items as JSON

--more[=false]
    Download 'More' OSes/Apps

--os[=false]
    Download '*OS' OSes/Apps

-o, --output=""
    Folder to download files to

--page=20
    Page size for file lists

-p, --password=""
    Apple Developer Portal password

--pretty[=false]
    Pretty print JSON

--profile[=false]
    Download Logging Profiles

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

--sms[=false]
    Prefer SMS Two-factor authentication

-t, --timeout=5m0s
    Timeout for watch attempts in minutes

-u, --username=""
    Apple Developer Portal username

-k, --vault-password=""
    Password to unlock credential vault (only for file vaults)

-v, --version=""
    iOS Version (i.e. 12.3.1)

-w, --watch=[]
    Developer portal group pattern to watch (i.e. '^iOS.*beta$')

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Download all available OSes interactively
    ❯ ipsw download dev --os
    # Download logging profiles as JSON
    ❯ ipsw download dev --profile --json --pretty
    # Watch for new releases matching pattern
    ❯ ipsw download dev --watch "^iOS.*beta$"
    # Download more items (Xcode, KDKs, etc.)
    ❯ ipsw download dev --more --output ~/Downloads

SEE ALSO
ipsw-download(1)

HISTORY
14-Sep-2025 Auto generated by spf13/cobra